MuleConnection (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.MuleConnection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Interface MuleConnection

All Known Implementing Classes:
  DefaultMuleConnection

    public interface MuleConnection

`MuleConnection` defines the client connection methods for the JCA CCI contract

Method Summary
`void` | `associateConnection(MuleManagedConnection newMc)`
`void` | `close()`
`void` | `dispatch(String url, Object payload, Map messageProperties)`
`MuleManagedConnection` | `getManagedConnection()`
`MuleMessage` | `request(String url, long timeout)`
`MuleMessage` | `send(String url, Object payload, Map messageProperties)`

Method Detail

### dispatch

    void dispatch(String url,
                  Object payload,
                  Map messageProperties)
                  throws MuleException

  Throws:
    `MuleException`

### request

    MuleMessage request(String url,
                        long timeout)
                        throws MuleException

  Throws:
    `MuleException`

### getManagedConnection

    MuleManagedConnection getManagedConnection()

### close

    void close()
               throws ResourceException

  Throws:
    `ResourceException`

### associateConnection

    void associateConnection(MuleManagedConnection newMc)
                             throws ResourceException

  Throws:
    `ResourceException`

### send

    MuleMessage send(String url,
                     Object payload,
                     Map messageProperties)
                     throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.